Dell Studio 1555: cannot change display brightness after a while, other hotkeys and ACPI stuff begin to fail

Bug #392812 reported by bucik85 on 2009-06-27
186
This bug affects 30 people
Affects Status Importance Assigned to Milestone
Linux
Fix Released
High
linux (Ubuntu)
Medium
Unassigned

Bug Description

OS: Ubuntu 9.04
Laptop: Dell Studio 1555

After several minutes after boot I am not able to change display brightness and in kern.log added error:
Jun 27 08:28:05 ja-laptop kernel: [ 62.100119] ACPI: EC: input buffer is not empty, aborting transaction

bucik85 (bucik85) wrote :
tags: added: acpi brightness dell
acalderon (a-calderon) wrote :

Same here. Sometimes after several minutes, sometimes just after bootup.
Is not only a problem with brightness buttons but with any ACPI related event: switching off backlight when closing lid, detecting if the laptop is in AC or battery...

bucik85 (bucik85) wrote :

I tried to add in /boot/grub/menu.lst saome boot options.

At line after "# defoptions=quiet splash" I added:
- "acpi=force" - didn't work;
- "acpi=force nolapic" - didn't work;
- "acpi="off" - I been able to change brightness, but no battery status and other options;
- "noapic" - it's work on my Dell Studio 1555.

Now line in my /boot/grub/menu.lst looks:
# defoptions=quiet splash noapic

After I added options to menu.lst I used "update-grub" as root and reboot.

There is a solution for this. I did not try it on my own yet, but it seems to work for some people. Have a look at this post by shiBBy2k7 on http://ubuntuforums.org: http://ubuntuforums.org/showpost.php?p=7541070&postcount=24

Andrew Chadwick (achadwick) wrote :

Confirmed here, Studio 1555 with Intel GM45 graphics and a few other differences in hardware options.

Almost certainly this is that same bug as http://bugzilla.kernel.org/show_bug.cgi?id=13689

Andrew Chadwick (achadwick) wrote :

Other symptoms of this bug when it kicks in: wireless toggle (radio tower multimedia key on F2) and reporting of the close state of the lid to the OS seem broken too (so I can't suspend on lid closure after turning it on; annoying to me). System also appears to think the system is on AC power when it's on battery, although g-p-m's applet notices the change in battery charge level after a few tens of seconds and displays an icon (though still reporting "on AC").

Under intrepid, after this bug has kicked in, pressing the brightness mm keys results in a B&W notify OSD box as usual, but the bar does not move and backlight brightness does not change. Something's being detected, but not fully. Note that wifi itself continues working, and it's still possible to suspend and hibernate correctly via the power button dialog [so ACPI powerbutton still works] even in a period after this bug has kicked in.

tags: added: hotkeys
summary: - No change display brightness
+ Dell Studio 1555: cannot change display brightness after a while, other
+ hotkeys and ACPI stuff begin to fail
Changed in ubuntu:
status: New → Confirmed
Andrew Chadwick (achadwick) wrote :

Just to confirm, bucik85's noapic workaround works for me too, and also makes the other symptoms go away as well. Not an ideal fix, and there may be subtler ways of doing this, but it's simpler than patching your kernel.

Changed in linux:
status: Unknown → In Progress
cbrmichi (cbrmichi) wrote :

changing the line in menu.lst didn't work for me. still cannot change brightness.

acalderon (a-calderon) wrote :

Passing the noapic option to the kernel was working until 2.6.25-13 kernel version.
From 2.6.25-14 version, it still works but it has the side effect of not power off the machine when halting the system.
It also dumps a (kernel?) trace, althogh it doesnt looks like a kernel panic. I only see few lines since I can not do anything in the system but switch it off with the power button.

A. Walton (awalton) wrote :

Problem still exists with Linux 2.6.31-9-generic
([48.576034] ACPI: EC: input buffer is not empty, aborting transaction)

Victor Vargas (kamus) wrote :

Can you tried to reproduce this issue in latest Karmic version or up to date?

affects: ubuntu → linux (Ubuntu)
Luke Faraone (lfaraone) on 2009-10-07
Changed in linux (Ubuntu):
importance: Undecided → Medium
A. Walton (awalton) wrote :

Problem still exists with 2.6.31-12-generic.

Renato Golin (rengolin) wrote :

I've updated to Ubuntu 9.10 and it worked. Using the proprietary fglrx and everything.

Renato Golin (rengolin) wrote :

Sorry, wrong bug! :(

But I can confirm that I still need noapic in the kernel line to make it work with Karmic Koala.

John Hunt (johnrhunt) wrote :

This bug still exists on Ubuntu 9.10 beta, using the open source driver.

Michele Corazza (ashmikuz) wrote :

Reproduced the bug on 9.10 rc. Even adding noapic to grub2 configuration doesn't solve the problem (brigthess works once every 2 or 3 attempts).

vlowther (victor-lowther) wrote :

Commenting out the goto end; line in acpi_ec_transaction and recompiling the kernel from source works around the bug for me -- I still get the "input buffer not empty" error messages in dmesg, but the brightness keys and AC adapter detection continue to work.

static int acpi_ec_transaction(struct acpi_ec *ec, struct transaction *t,
                               int force_poll)
{
        int status;
        u32 glk;
        if (!ec || (!t) || (t->wlen && !t->wdata) || (t->rlen && !t->rdata))
                return -EINVAL;
        if (t->rdata)
                memset(t->rdata, 0, t->rlen);
        mutex_lock(&ec->lock);
        if (ec->global_lock) {
                status = acpi_acquire_global_lock(ACPI_EC_UDELAY_GLK, &glk);
                if (ACPI_FAILURE(status)) {
                        status = -ENODEV;
                        goto unlock;
                }
        }
        if (ec_wait_ibf0(ec)) {
                pr_err(PREFIX "input buffer is not empty, "
                                "aborting transaction--\n");
                status = -ETIME;
                //goto end;

        }
        status = acpi_ec_transaction_unlocked(ec, t, force_poll);
end:
        if (ec->global_lock)
                acpi_release_global_lock(glk);
unlock:
        mutex_unlock(&ec->lock);
        return status;
}

Renato Golin (rengolin) wrote :

Tried again (Dell 1555, Radeon 4500 series):

"noapic acpi=force nolapic" works brightness and suspend on close lid, but it doesn't recognize my core duo as dual core.

With any other combination of those flags I get two cores but brightness and lid close stop working.

Is there any progress to this bug? It works on grub screen, so I guess some kernel module / config is screwing up. As this happens with both fglrx and open source drivers, I doubt we can blame ATI...

cheers,
--renato

acalderon (a-calderon) wrote :

Just with the noapic option is working for me on karmic.
I get the two cores, brightness and lid close works, suspension and hibernation works.
The only thing that doesn't work is changing the brightness from the kde plasma widget. I have to change it with the keys or it changes automatically when plugged off.
I am using fglrx drivers and grub 2.

Renato Golin (rengolin) wrote :

Mine is:
Linux blakey 2.6.31-16-generic #52-Ubuntu SMP Thu Dec 3 22:07:16 UTC 2009 x86_64 GNU/Linux

Which kernel are you using?

acalderon (a-calderon) wrote :

2.6.31-16-generic-pae #52-Ubuntu SMP right now, but I have been using the generic kernel and has been working ok too.

Zdravko Stoychev (zstoychev) wrote :

The problem seems to be fixed in kernel v2.6.32 :).

Renato Golin (rengolin) wrote :

Hi Zdravko, is it 32bit or 64bit you tested?

My 1555 works fine with any 32bit kernel but fails on all but the second Karmic 64bit kernels.

Zdravko Stoychev (zstoychev) wrote :

I've tested with the 32-bit kernel from http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.32/ and after an hour of use it seems to be working fine. Some people also confirm that: http://bugzilla.kernel.org/show_bug.cgi?id=13689 . I haven't tested the 64-bit version though.

Tested with 64-bit and it seems to work for me. Even powerdevil can now control brightness.
I have rolled back to 2.6.31.16 kernel as I'd like to wait for ATI to come up with a video driver that is usable under 2.6.32 kernel -- as without the video driver, everything is extremely choppy and unusable. If someone also got that working, please let me/us know (using ATI driver version 9.11)

cgarre (cgarre) wrote :

I am on 2.6.31-16 64 bit and looks like it is working fine (i am able to control brightness in dell studio 1555). I had problems with ever other kernel before this, some work for 2-3 mins and then fail, but its been about 3 hours and it is still working dont know if it will fail later, but i did suspend, restart etc, and it keeps working. So its hopefully in this. I know 2.6.32 has certainly fixed it, i installed ubuntu 10.04 alpha 1, and it works but then ATI propretiary graphics wont work, hence i have issues coming up from suspend, the screen looks blurred and shakes. So i need the graphics drivers, so i went back to ubuntu 9.10 , with the hope that i will use catalyst control center to control brightness, as i always did. But then i got 2.6.31-16 in the update as soon as i installed today, so i installed and i was pleasantly surprised .. touch wood, touch wood.

i am on ubuntu 9.10 (which has kde too) , though i am running gnome.
My specs
Ubuntu 9.10 64 bit
Kernel 2.6.31-16
Dell studio 1555 - ATI Radeon HD 4000 series card.

Brightness and battery meter etc all work, and ubuntu is now able to recognize that i am unplugging etc. So ACPI is fixed. (touch wooooood). Thanks all.

cgarre (cgarre) wrote :

nopes .. i am sorry ... i take back my claim... it is not working ... brightness etc everything failed after 2 hours and never worked even after reboots .. THIS IS REALLY BAD.. i had issues with lexmark 64 bit printer drivers and now this .. i am back to windows for sometime sadly.

cgarre (cgarre) wrote :

also ATI needs to come out with usable driver for 2.6.32 i agree, without that its too bad and choppy ...

Zdravko Stoychev (zstoychev) wrote :

So you are getting the error with the 2.6.32 kernel? Hm, I should try it for more time then, I still haven't run it for more than an hour. Or are you talking about the 2.6.31-16 kernel?

By the way is your touchpad working properly? The cursor start jumping and clicking around like crazy when I put two fingers on mine (Ubuntu 9.10).

Renato Golin (rengolin) wrote :

I've reinstalled Ubuntu 9.10 from scratch (CD), updated up-front and installed the ATI drivers. Still not working. Brightness and lid operations work fine for a few minutes than stop working.

Just to let it clear, suspend and hibernate work perfectly when choosing it from the shutdown menu. ACPI is working fine, the problem seems to be recognizing the buttons.

I ran the lid.sh while the lid was close (via timer) and saw that it never passes this line:

if [ `CheckPolicy` = 0 ]; then exit; fi

I believe it's the Gnome messing up the configuration, rather than ACPI being faulty. I'll try to kill most gnome applications after the problem appears and see if one of them is the guilty part.

TomekPaczkowski (oinopion) wrote :

Updated to 2.6.32-17 and the bug is still present.

Renato Golin (rengolin) wrote :

Investigating a bit further, I can confirm that the lid.sh script works fine once brightness is woking and doesn't even get called when it's not. In other words, the script works perfectly, the event is not being generated. Both brightness and lid events stop working at the same time, I still can't figure out why...

It may be a red herring, but it tends to work for longer when the machine is colder (after a long rest) and shorter when it's hot (on gnome login it's already dead). Could be some mess up with the thermal control?

Antonio Roberts (hellocatfood) wrote :

> Could be some mess up with the thermal control?
I'd doubt it, especially on a brand new laptop (my Dell is under a month old). Either way, I'm not noticing anything to do with temperature

I'm running 2.6.32 and right after the update and restart of the machine it worked for about four minutes longer but then it reverted back to working only during startup an a short time afterwards

v1nsai (v1nsai) wrote :

Having this problem on karmic as well. I was using noapic and nomodeset options on boot, and all the multimedia and eject and lid closing keys worked, and it went into hiberation and came out perfectly, but I was messing with the 'xserver-xorg-video-intel' driver and it hasn't been working since I rolled back (forward actually) after nearly FUBARing my installation. I was using version 2.9, then rolled back to 2.4 and then back to 2.9 and I haven't had ACPI since.

v1nsai (v1nsai) wrote :

I found this troubleshooting guide, I tried doing it but I don't understand what xev is supposed to do. Maybe it could help?
https://wiki.ubuntu.com/Hotkeys/Troubleshooting

Changed in linux:
status: In Progress → Fix Released
Daaal (skybreaker) on 2009-12-26
Changed in linux (Ubuntu):
status: Confirmed → Fix Released
status: Fix Released → Confirmed
abhijeet (abhijeetnayak) on 2010-01-02
Changed in linux (Ubuntu):
status: Confirmed → Fix Released
Andrei (lkw038) wrote :

What does this mean "fix released"? The standard 9.10 install on Dell Studio 1555 did not have brightness control. After updating to kernel -17 it was the same (no brightness). Was able to fix this by adding "noapic" in grub. I thought that "fix released" meant no need for such manual workarounds?

Andrei

Antonio Roberts (hellocatfood) wrote :

Apparently it's fixed in 10.04, but we'll have to wait until April for that

Renato Golin (rengolin) wrote :

Seems fixed for me with kernel 2.6.31-17, ubuntu 9.10

I'm using Karmic on a Dell Studio 1555 and this is my uname -a result:

Linux studio 2.6.31-17-generic #54-Ubuntu SMP Thu Dec 10 17:01:44 UTC 2009 x86_64 GNU/Linux

And I have that problem, the keys works for a while and then they stop working. Also when I close the lid the screen keeps turned on even when in the energy management I chose to "darken the screen" (sorry I'm using Ubuntu in spanish so I don't know the exact name).

The system is completely updated. Where should I look?

Ah, sorry I also found a on kern.log just after the buttons stopped functioning...

[ 46.620013] ACPI: EC: input buffer is not empty, aborting transaction

Renato Golin (rengolin) wrote :

The problem was supposedly fixed on Ubuntu 10.04 but the API drivers still don't work. I'd wait until April...

It could be that it's taking longer to happen, as I tested after hours of heavy usage and all was fine.

The lid problem is related to the brightness, I also had both together. The rest is fine.

Finally I decided to try the latest kernel on Lucid and now works like charm :).

~# uname -a
Linux studio 2.6.32-10-generic #14-Ubuntu SMP Thu Jan 7 17:38:08 UTC 2010 x86_64 GNU/Linux

Still, I think that should be solved in Karmic. It is not acceptable that the "fix" would be that!.

k_laci (laszlokaroly) wrote :

I also tested my Dell 1555 with the kernel of Lucid, but the result is not positive. Although brightness, lid and eject button work correctly, I have problems with the thermal sensors. After resuming the machine, the sensors cannot be read (acpi -t reports 0 C) and thus the fans never start. As a result, the machine overheats and shuts down after a wile.

2010/1/24 k_laci <email address hidden>:
> I also tested my Dell 1555 with the kernel of Lucid, but the result is
> not positive. Although brightness, lid and eject button work correctly,
> I have problems with the thermal sensors. After resuming the machine,
> the sensors cannot be read (acpi -t reports 0 C) and thus the fans never
> start. As a result, the machine overheats and shuts down after a wile.

I tested your command and I get the following:

~$ acpi -t
Thermal 0: ok, 0.0 degrees C
Thermal 1: ok, 49.0 degrees C
Thermal 2: ok, 57.0 degrees C

Are those values ok? :/

Regards,
--
Pablo Olmos de Aguilera Corradini - @PaBLoX
http://www.glatelier.org/
http://www.chilemoz.org/
http://friendfeed.com/pablox/
http://www.linkedin.com/in/pablooda/
Linux User: #456971 - http://counter.li.org/

(Sorry I screw up the subject of the mail, feel free to delete the
other one in the bug page)

2010/1/24 k_laci <email address hidden>:
> I also tested my Dell 1555 with the kernel of Lucid, but the result is
> not positive. Although brightness, lid and eject button work correctly,
> I have problems with the thermal sensors. After resuming the machine,
> the sensors cannot be read (acpi -t reports 0 C) and thus the fans never
> start. As a result, the machine overheats and shuts down after a wile.

I tested your command and I get the following:

~$ acpi -t
Thermal 0: ok, 0.0 degrees C
Thermal 1: ok, 49.0 degrees C
Thermal 2: ok, 57.0 degrees C

Are those values ok? :/

Regards,
--
Pablo Olmos de Aguilera Corradini - @PaBLoX
http://www.glatelier.org/
http://www.chilemoz.org/
http://friendfeed.com/pablox/
http://www.linkedin.com/in/pablooda/
Linux User: #456971 - http://counter.li.org/

k_laci (laszlokaroly) wrote :

Yes, that seems to be OK. I have something similar, but after a suspend-resume cycle, I always get:
Thermal 0: ok, 0.0 degrees C
Thermal 1: ok, 0.0 degrees C
Thermal 2: ok, 0.0 degrees C

And I could not find any way (except reboot) to solve the problem. Do you have the same symptom after resume? Could you test it, please?

2010/1/25 k_laci <email address hidden>:
> Yes, that seems to be OK. I have something similar, but after a suspend-resume cycle, I always get:
> Thermal 0: ok, 0.0 degrees C
> Thermal 1: ok, 0.0 degrees C
> Thermal 2: ok, 0.0 degrees C
>
> And I could not find any way (except reboot) to solve the problem. Do
> you have the same symptom after resume? Could you test it, please?

Yes, I got exactly the same:

$ acpi -t
Thermal 0: ok, 0.0 degrees C
Thermal 1: ok, 0.0 degrees C
Thermal 2: ok, 0.0 degrees C

But lm-sensors shows something slightly different:

$ sensors
acpitz-virtual-0
Adapter: Virtual device
temp1: +0.0°C (crit = +100.0°C)
temp2: +0.0°C (crit = +100.0°C)
temp3: +0.0°C (crit = +100.0°C)

coretemp-isa-0000
Adapter: ISA adapter
Core 0: +53.0°C (high = +105.0°C, crit = +105.0°C)

coretemp-isa-0001
Adapter: ISA adapter
Core 1: +54.0°C (high = +105.0°C, crit = +105.0°C)

Regards.
--
Pablo Olmos de Aguilera Corradini - @PaBLoX
http://www.glatelier.org/
http://www.chilemoz.org/
http://friendfeed.com/pablox/
http://www.linkedin.com/in/pablooda/
Linux User: #456971 - http://counter.li.org/

I continued to use the laptop (after resume and telling me those weird 0°C) and suddenly (after some bug with an app - I think unrelated) it shut down. No warn message or anything, looking in the kern.log I got this before the shutdown:

Jan 25 16:59:32 studio kernel: [18440.303726] CPU1: Temperature above threshold, cpu clock throttled (total events = 1)
Jan 25 16:59:32 studio kernel: [18440.303731] Disabling lock debugging due to kernel taint
Jan 25 16:59:32 studio kernel: [18440.304215] CPU1: Temperature/speed normal
Jan 25 16:59:34 studio kernel: [18442.012510] Machine check events logged

After that appears the bug of the subtitle editor and then the next kernel start (I included the kern.log of that moment). The last entry from kern.log is at [18446.595247].

I ran the acpi -t and sensors as soon as I turned on the laptop and got the following:

~$ acpi -t
Thermal 0: ok, 0.0 degrees C
Thermal 1: ok, 65.0 degrees C
Thermal 2: ok, 57.0 degrees C

~$ sensors
acpitz-virtual-0
Adapter: Virtual device
temp1: +44.0°C (crit = +100.0°C)
temp2: +51.0°C (crit = +100.0°C)
temp3: +0.0°C (crit = +100.0°C)

coretemp-isa-0000
Adapter: ISA adapter
Core 0: +43.0°C (high = +105.0°C, crit = +105.0°C)

coretemp-isa-0001
Adapter: ISA adapter
Core 1: +44.0°C (high = +105.0°C, crit = +105.0°C)

That value drew my attention: Thermal 1: ok, 65.0 degrees C ; but I don't know if has something to do.

Renato Golin (rengolin) wrote :

Funny, my thermal/brightness/lid are in perfect state, after hours of usage, plugged in or not, suspended several times since I turned it on. Ever since I upgraded to 2.6.31-17 I never had a problem again.

tags: added: temperature

I upgraded the lucid kernel to 2.6.32-11 and it's the same. After the resume acpi -t shows 0°C:

~$ acpi -t
Thermal 0: ok, 0.0 degrees C
Thermal 1: ok, 0.0 degrees C
Thermal 2: ok, 0.0 degrees C

~$ sensors
acpitz-virtual-0
Adapter: Virtual device
temp1: +0.0°C (crit = +100.0°C)
temp2: +0.0°C (crit = +100.0°C)
temp3: +0.0°C (crit = +100.0°C)

coretemp-isa-0000
Adapter: ISA adapter
Core 0: +77.0°C (high = +105.0°C, crit = +105.0°C)

coretemp-isa-0001
Adapter: ISA adapter
Core 1: +74.0°C (high = +105.0°C, crit = +105.0°C)

And look what says the last dmesg lines after resuming:

[ 298.296726] CPU1: Temperature above threshold, cpu clock throttled (total events = 1)
[ 298.296731] Disabling lock debugging due to kernel taint
[ 298.297216] CPU1: Temperature/speed normal
[ 300.040033] Machine check events logged

@rengolin

Can you give me more details from your laptop?

Renato Golin (rengolin) wrote :

Hi Pablo, I have to get home tonight to get full specs, but it's a Studio1555 with Core2 Duo P7450, 4096MB 800MHz Dual Channel DDR2 SDRAM, ATI Mobility RADEON HD 4570, Intel WiFi Link 5100. I'm running Ubuntu 9.10 fully up-to-date.

I dont know whether the values are ok or not, i am getting as mentioned
below-

     Thermal 0: ok, 0.0 degrees C
     Thermal 1: ok, 46.0 degrees C
     Thermal 2: ok, 54.0 degrees C

There is not measure difference.
Regards
Abhay

On Mon, Jan 25, 2010 at 7:17 AM, Pablo Olmos de Aguilera Corradini <
<email address hidden>> wrote:

> (Sorry I screw up the subject of the mail, feel free to delete the
> other one in the bug page)
>
> 2010/1/24 k_laci <email address hidden>:
> > I also tested my Dell 1555 with the kernel of Lucid, but the result is
> > not positive. Although brightness, lid and eject button work correctly,
> > I have problems with the thermal sensors. After resuming the machine,
> > the sensors cannot be read (acpi -t reports 0 C) and thus the fans never
> > start. As a result, the machine overheats and shuts down after a wile.
>
> I tested your command and I get the following:
>
> ~$ acpi -t
> Thermal 0: ok, 0.0 degrees C
> Thermal 1: ok, 49.0 degrees C
> Thermal 2: ok, 57.0 degrees C
>
> Are those values ok? :/
>
> Regards,
> --
> Pablo Olmos de Aguilera Corradini - @PaBLoX
> http://www.glatelier.org/
> http://www.chilemoz.org/
> http://friendfeed.com/pablox/
> http://www.linkedin.com/in/pablooda/
> Linux User: #456971 - http://counter.li.org/
>
> --
> Dell Studio 1555: cannot change display brightness after a while, other
> hotkeys and ACPI stuff begin to fail
> https://bugs.launchpad.net/bugs/392812
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in The Linux Kernel: Fix Released
> Status in “linux” package in Ubuntu: Fix Released
>
> Bug description:
> OS: Ubuntu 9.04
> Laptop: Dell Studio 1555
>
> After several minutes after boot I am not able to change display brightness
> and in kern.log added error:
> Jun 27 08:28:05 ja-laptop kernel: [ 62.100119] ACPI: EC: input buffer is
> not empty, aborting transaction
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/linux/+bug/392812/+subscribe
>

k_laci (laszlokaroly) wrote :

Hi,

Mine is DualCore T4300, 3072MB 800MHz Dual Channel DDR2, Intel GMA 4500MHD, Dell Wireless 1397, BIOS A09.

Thermal sensors work with 2.6.31, fail with 2.6.32 and 2.6.33
Brightness, eject and lid work with 2.6.32 and 2.6.33, fail with 2.6.31

I think BIOS is a crucial point here. Originally I had A08 which was full of ACPI related bugs. Some weeks ago I upgraded to A09, which also has many (7 warnings, 3 remarks, 3 optimisations). Interestingly enough, some days ago A09 was revoked, now I see only A08 on the support site.

@pablox

I think we should open a separate bug report for the thermal problems of Lucid's kernel. That is not immediately related to the original problem; and Lucid's kernel has no brightness, lid, etc. problems.

@adashrath

Did you get the result after resume? Which kernel version?

abhijeet (abhijeetnayak) wrote :

Hi,
I am using ubuntu 9.10 and recently I have updated the kernel to 2.6.31.19. As per the discussion this is fixed and patch is released but I am facing the same issue with this latest kernel.
Could anyone please explain why?

Thanks,
Abhijeet

Renato Golin (rengolin) wrote :

Hi Abhijeet,

I spoke too soon, my 2.6.31 is *not* working. It stopped for quite a while but now it's back. I have the 2.6.31-20 and it still happens...

k_laci (laszlokaroly) wrote :

I made a separate bug report for the thermal problems of Lucid's 2.6.32 kernel. You can follow the story here: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/524956

cgarre (cgarre) wrote :

sad :( after one fix, now ACPI thermal fails after resume. I think i will always keep waiting for newer kernel releases. Why do people break ACPI so easily. There needs to be a good control on that. ubuntu should use the latest kernels.. now my wait is longer, couldnt use 9.10 thanks to brightness problem, now i will not be able to use 10.04 thanks to thermal problem. now when i get the next, there will be another ACPI problem. This will keep happening for ever. ACPI is very very critical for a laptop.

Renato Golin (rengolin) wrote :

Don't blame Canonical or Kernel developers. ACPI is very naughty and manufacturers like to keep it that way to avoid non-paid systems to run on them flawlessly, since they can't exploit it.

ACPI development is basically reverse-engineering and having one machine for each type (remember, there are many different Dell Studio 15") is simply impossible. If Dell, ATI, NVidia, Intel etc don't help, there's no way around it.

Wish you a very happy new year.

-Abhay Dashrath

Changed in linux:
importance: Unknown → High
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.